package histogram;

public class ModuleBinCounter  extends AbstractBinCounter{
   
    /**
     * Calcula las cantidades de valores que caen dentro de cada bin, considera el módulo de cada valor.
     * 
     * @param binsBounds las fronteras de los bins (n-1 valores para n bins)
     * @param datos los valores a clasificar en bins
     * @throws IllegalArgumentException Si la lista de fronteras de bins no es monótona creciente o tiene valores negativos
     */
    @Override public void calculateBinCounts(double[] binsBounds, double[] datos) {
      
    }

    public String countsToText(){
        StringBuilder sb=new StringBuilder(String.format("[0,%.2f]\t%d\n",binsBounds[0],binCounts[0]));
        for (int i=1; i<binsBounds.length;i++)
            sb.append(String.format("(%.2f,%.2f]\t%d\n",binsBounds[i-1],binsBounds[i],binCounts[i]));
        sb.append(String.format("(%.2f,inf)\t%d\n",binsBounds[binsBounds.length-1],binCounts[binsBounds.length]));
        return sb.toString();
    }
  
}
